SWF Editor for PHP インストール

環境はCentOS6 x86_64。
Linux *********** 2.6.32-220.2.1.el6.x86_64 #1 SMP Fri Dec 23 02:21:33 CST 2011 x86_64 x86_64 x86_64 GNU/Linux

必要なモジュールは、zlib, libpng, giflib yumで全て入手可能。
自分の所では、giflib-devel がなかった為インストールした。

# yum -y install "giflib*"

これで準備完了。

$ wget "http://sourceforge.jp/frs/redir.php?m=osdn&f=%2Fswfed%2F54983%2Fswfed-0.54.tar.gz"
$ tar zxvf swfed-0.54.tar.gz
$ cd swfed-0.54/src/
$ /usr/local/php/bin/phpize (コンパイルしている為。普通は phpize のみで大丈夫)

$ /bin/sh
CC="gcc -m64" ; 
./configure \
--with-php-config=/usr/local/php/bin/php-config

$ make ; make test
$ exit (sh抜け)

$ su
# make install
# install modules/swfed.so /usr/local/apache/modules/ (apacheパスも任意の場所で)
# vi /usr/local/php/lib/php.ini  (php.iniパスも任意の場所で)
extension="swfed.so" (最終行辺りに追加)

# /usr/local/php/bin/php -i | grep swf (確認)

以上、簡単に説明。

コメントを残す

メールアドレスが公開されることはありません。

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください